/*
Sirius Tuner Widget
by Tanner Jepsen (neoscrib@gmail.com)

Not affiliated with or supported by Sirius Radio Online
Copyright (c) 2006 Tanner Jepsen.  All rights reserved.
*/

include("Screen.js");

/**
 * Message screen, for temporarily displaying short messages on the whole
 * screen.
 */
function MessageScreen() {
	this.message = new Text();
	this.message.width = screen.width - 10;
	this.message.alignment = "center";
	this.message.hOffset = screen.width / 2;
	this.message.vOffset = (screen.height / 2) + 6;
	this.updateColors();
	this.addSubView(this.message);
}

MessageScreen.prototype = new Screen();

MessageScreen.prototype.setMessage = function(msg) {
	this.message.data = msg;	
}

MessageScreen.prototype.updateColors = function() {
	this.applyShadow(this.message);
	this.applyFont(this.message);
	this.message.color = this.skinColors("darkColor");
}