function setAlarmClockChannelPref() {
	var siriusTuner = SiriusTuner.instance;
	if (siriusTuner.channels.length > 1) {
		formFields = new Array();
		formFields[0] = new FormField();
		formFields[0].name = "channel";
		formFields[0].title = "Channel:";
		formFields[0].type = "popup";
		formFields[0].option = new Array();
		formFields[0].optionValue = new Array();
		formFields[0].option[0] = "Current channel (at time of alarm)";
		formFields[0].optionValue[0] = -1;
		var count = 1;
		for (i = 0; i <= siriusTuner.channels.length - 1; i++) {
			if (siriusTuner.channels[i] != null) {
				formFields[0].option[count] = siriusTuner.channels[i].num + " - " + siriusTuner.channels[i].name
				formFields[0].optionValue[count] = siriusTuner.channels[i].num
				count++;
			}
		}
		formFields[0].value = preferences.alarmChannel.value;
		
		formResults = form(formFields, "Select an Alarm Clock channel", "OK");
		
		if (formResults != null) {
			preferences.alarmChannel.value = formResults[0];
		}
	}
}

function CheckAlarm() {
	var dtoday = new Date();
	var today = dtoday.getTime();

	dtoday.setHours(preferences.hour.value);
	dtoday.setMinutes(preferences.min.value);
	dtoday.setSeconds(0);

	var the_day = dtoday.getTime();
	
	if (the_day < today) { the_day += Days(1); }

	if (the_day - today <= 0) {
		log("Alarm Fired: " + dtoday);
		Player.instance.displayAlarmScreen();
		focusWidget();
		SiriusTuner.instance.setVolume(preferences.alarmVolume.value);
		if (SiriusTuner.instance.currentChannel != null && SiriusTuner.instance.currentChannel.num != preferences.alarmChannel.value) {
			Player.instance.playChannel(preferences.alarmChannel.value);
		}
		SiriusTuner.instance.play();		
	}
}

function checkSnoozeAlarm() {
	log("Snooze Alarm Fired");
	Player.instance.alarmSnoozeTimer.ticking = false;
	Player.instance.displayAlarmScreen();
	focusWidget();
	SiriusTuner.instance.setVolume(preferences.alarmVolume.value);
	if (SiriusTuner.instance.currentChannel != null && SiriusTuner.instance.currentChannel.num != preferences.alarmChannel.value) {
		Player.instance.playChannel(preferences.alarmChannel.value);
	}
	SiriusTuner.instance.play();
}

function Days(val) {
	return val * 24 * 60 * 60 * 1000;
}

function Hours(val) {
	return val * 60 * 60 * 1000;
}

function Minutes(val) {
	return val * 60 * 1000;
}

function Seconds(val) {
	return val * 1000;
}